updateWorkspace

Update workspace

PUT/v1/admin/workspaces/{id}

Authorization

AuthorizationBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header parameters

x-multiple-integrations?string
Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Path parameters

idstring
Workspace ID

Request body

Workspace metadata

name?string
(min length: 1, max length: 64)
spendingLimit?number
(>= 5, <= 1000)
about?string
profilePicture?string
contactEmail?string
website?string
socialAccounts?string[]
isPublic?boolean
handle?string
(pattern: ^[0-9a-z][a-z0-9-_]+[0-9a-z]$, min length: 1, max length: 64)

Response

Success

idstring
namestring
ownerIdstring
createdAtstring
updatedAtstring
botCountnumber
billingVersionenum<string>
Available options:"v1","v2","v3","v4"
planenum<string>
Available options:"community","team","enterprise","plus","managed"
blockedboolean
spendingLimitnumber
about?stringdefault: ""
profilePicture?stringdefault: ""
contactEmail?stringdefault: ""
website?stringdefault: ""
socialAccounts?string[]default: []
isPublic?boolean
handle?string
activeTrialIdstring | null